lucene-lucene-net-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ian Vink <ianv...@gmail.com>
Subject Migrate to 2.3 causes bad crashes
Date Tue, 20 Jan 2009 22:52:51 GMT
I moved to Lucene.net 2.3 from 2.0.0
I am getting a cryptic, "Could not find file
'd:\interfaith\INDEX\English\segments.gen' " message after I call this:

IndexWriter writer = new IndexWriter(languageINDEX, analyzer, true);

Where languageINDEX is a string "c:\Index\English" folder.

There is no segments.gen in 2.0.0, but should moving to a new index cause
that error?

I tried deleting the index and letting 2.3 remake it, but to no avail.
It always wants segments.gen

Any ideas?

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message